Package com.tibco.patterns.deduplication

## Enum ErrorHandler.ErrorAction

- java.lang.Object
- - java.lang.Enum<ErrorHandler.ErrorAction>
  - - com.tibco.patterns.deduplication.ErrorHandler.ErrorAction

- All Implemented Interfaces:
    `java.io.Serializable`, `java.lang.Comparable<ErrorHandler.ErrorAction>`
  Enclosing class:
    ErrorHandler

      public static enum ErrorHandler.ErrorAction
      extends java.lang.Enum<ErrorHandler.ErrorAction>

  Possible actions on an error.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `Continue` | Continue deduplication; `Deduplicator.waitWorkComplete(long, java.util.concurrent.TimeUnit)` will throw an exception at the end.
    `Halt` | Halt deduplication immediately.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static ErrorHandler.ErrorAction` | `valueOf​(java.lang.String name)` | Returns the enum constant of this type with the specified name.
    `static ErrorHandler.ErrorAction[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### Continue

          public static final ErrorHandler.ErrorAction Continue

      Continue deduplication; `Deduplicator.waitWorkComplete(long, java.util.concurrent.TimeUnit)` will throw an exception at the end.

    - #### Halt

          public static final ErrorHandler.ErrorAction Halt

      Halt deduplication immediately.

  - ### Method Detail

    - #### values

          public static ErrorHandler.ErrorAction[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ErrorHandler.ErrorAction c : ErrorHandler.ErrorAction.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ErrorHandler.ErrorAction valueOf​(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null